package egovframework.com.its.web.server.mapper;

import egovframework.com.its.web.server.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CommonMapper {

	WeatherInfoVO getWeatherInfo();
	
	List<RoadVertexArrVO> getVertexArr();
	
	List<CctvCtlrVO> getCctvCtlr();

	CctvCtlrVO getOneCctvCtlr(String nmbr);
	
	List<WcamCtlrVO> getWcamCtlr();
	
	List<VmsCtlrVO> getVmsCtlr();
	
	List<VmsCtlrVO> getVmsPhaseImgList();
	
	List<IncdVO> getIncdOcrr();
	
	List<AtrdVO> getAtrdNm();

	void addUpdateHourLogWeb(Map<String, Object> paramMap);
	
	void addUpdateDateLogWeb(Map<String, Object> paramMap);
	
	void addUpdateMonthLogWeb(Map<String, Object> paramMap);
	
	List<VmsCtlrVO> getVmsImgTxt(String vms_ctlr_nmbr);
	
	List<RoadVertexArrVO> getLinkVertexArr();

	List<RoadVertexArrVO> getIfscVertexArr();

	List<RoadVertexArrVO> getRoadVertexArr();
	
	VisitCountVO getVisitCount();

}